Bug 200607 - Download problem with files larger than 1MB from a Tru64 Unix FTP Server
Download problem with files larger than 1MB from a Tru64 Unix FTP Server
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 19:43 EDT by Babak Salamat
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 00:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Babak Salamat 2006-07-28 19:43:59 EDT
Description of problem:
New kernel of FC5 has a problem with downloading files larger than 1MB from a
Tru64 Unix server. I tried to stop iptables, but the problem still existed.

Another kernel that I still have and doesn't have this problem is
kernel-2.6.16-1.2122_FC5, however I am not sure if this is the latest version
without the above problem. Version of the current kernel that I am using now and
has the problem is 2.6.17-1.2157_FC5.
I used three different ftp clients and all had the same problem. I used ftp
(command prompt client that comes with FC5), ncftp and KGet.

Version-Release number of selected component (if applicable):
2.6.17-1.2157_FC5

How reproducible:
ftp to a Tru64 Unix ftp server and try to download a file larger than 1MB.

Steps to Reproduce:
1. FTP to a Tru64 UNIX ftp server
2. find a file larger than 1MB
3. Try to get the file
  
Actual results:
ftp client waits infinitly to receive the file and nothing is received.

Expected results:


Additional info:
Comment 1 Dave Jones 2006-09-11 00:07:08 EDT
does it start working again if you echo 0 > /proc/sys/net/ipv4/tcp_window_scaling

Comment 2 Babak Salamat 2006-09-12 14:25:29 EDT
I was using HP Test Drive systems at the time that I posted this bug.
Unfortunately, Tru64 Unix Servers are no longer available and consequently I am
not able to provide the requested information.

Note You need to log in before you can comment on or make changes to this bug.